<bugID>891095<Summary>[UX] Implement a nicer replacement for the Reset Firefox dialog</Summary><Description>Created attachment 772294
Screenshot of current dialog

The Reset Firefox confirmation dialog could use some polish to make it more aesthetically appealing. We can consider moving it to an in-content page.</Description></bugID>